# Class NavigationEntry

java.lang.Object
com.codename1.router.NavigationEntry

public final class NavigationEntry extends Object

A single frame on the `Navigation` stack: the URL that produced the form and the `Form` instance the route built. Returned from `Navigation#getStack`, `Navigation#getCurrent`, and accepted by `Navigation#popTo` so a breadcrumb UI can pop back to any prior entry.

Entries are immutable value objects; equality is by identity.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Form`
  `getForm()`
  The `Form` instance the route builder produced.
  `String`
  `getPath()`
  The path (URL minus scheme + host) that produced this entry, e.g.
  `String`
  `getTitle()`
  Convenience: the form's title, useful as a breadcrumb label.
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getPath

    public String getPath()
    The path (URL minus scheme + host) that produced this entry, e.g. `/users/42`.

  - ### getForm

    public Form getForm()
    The `Form` instance the route builder produced.

  - ### getTitle

    public String getTitle()
    Convenience: the form's title, useful as a breadcrumb label. Returns the empty string when the form has no title set.

  - ### toString

    public String toString()
    Description copied from class: `Object`
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`